import { HttpClient } from "@angular/common/http";
import { LoginTenantLinksContainerModel } from "../../../../../models";
import { ApiVisa, BaseApiTemplateService, Pagination } from "../shared";
export declare class LoginTenantLinksService extends BaseApiTemplateService<LoginTenantLinksContainerModel> {
    constructor(http: HttpClient);
    private setUrl;
    sysadminPost(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    sysadminDelete(guid: string, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    sysadminPut(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
    sysadminGetAll(apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").ApiResponseModel<LoginTenantLinksContainerModel>>;
    sysadminGetByGuid(guid: string, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
    sysadminGetByCriteria(pagination: Pagination, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").PagingResponseModel<LoginTenantLinksContainerModel>>;
    tenantAdminEpPut(dtoObject: LoginTenantLinksContainerModel, apiVisa: ApiVisa): import("rxjs").Observable<import("../shared").BasicApiResponseModel<LoginTenantLinksContainerModel>>;
}
